Description

In mail notification setting, we can see the following options which start with "Only for ...".

Only for things I watch or I'm involved in

Only for things I am assigned to

Only for things I am the owner of

The phrase "I watch" is only included in the first one, but actually notifications for watched objects will be sent in all of the above

options. I think it is misleading.

I suggest changing these strings to like the following:

Only for things I watch or I am assigned to

Only for things I watch or I am the owner of

Related issues:

Related to Redmine - Defect #10656: Email notifications not working as expected? Closed

Related to Redmine - Defect #13376: watcher notification issue Closed

Related to Redmine - Defect #31745: Mail notifications do not honor 'only_ass... Closed

Associated revisions

Revision 16110 - 2016-12-21 11:13 - Jean-Philippe Lang

Change English translation for label_user_mail_option_only_(assigned|owner) (#24177).

Patch by Go MAEDA.

Revision 16218 - 2017-01-18 04:50 - Toshi MARUYAMA

regenerate translation for label_user_mail_option_only_(assigned|owner) in all languages (#24177)

Revision 16497 - 2017-04-05 18:50 - Toshi MARUYAMA

Russian translation for label_user_mail_option_only_(assigned|owner) changed by Ilya Potapov (#25397, #24177)

History

#1 - 2016-12-11 06:03 - Go MAEDA

- Target version set to Candidate for next major release

#2 - 2016-12-19 14:29 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

Could it be implemented in 3.4.0?

#3 - 2016-12-19 22:02 - Mischa The Evil

Go MAEDA wrote:

Could it be implemented in 3.4.0?

 LGTM.
#4 - 2016-12-20 01:32 - Go MAEDA

- File en_translation_change_user_mail_option_v2.diff added

Changed Japanese translation too.

#5 - 2016-12-21 11:13 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

Committed, thanks.

#6 - 2017-01-14 03:04 - Go MAEDA

- Related to Defect #10656: Email notifications not working as expected? added

#7 - 2017-01-18 04:47 - Toshi MARUYAMA

- Subject changed from Change English translation for label_user_mail_option_only_(assigned|owner) to Change translation for

label_user_mail_option_only_(assigned|owner)

#8 - 2017-04-16 04:26 - Go MAEDA

- Related to Defect #13376: watcher notification issue added

#9 - 2019-08-15 02:30 - Go MAEDA

- Related to Defect #31745: Mail notifications do not honor 'only_assigned' mail_notification setting added

Files

en_translation_change_user_mail_option.diff 974 Bytes 2016-10-27 Go MAEDA

en_translation_change_user_mail_option_v2.diff 2.15 KB 2016-12-20 Go MAEDA
